콘텐츠로 건너뛰기
ShopentlyLearn

수정 · 옵션 — 옵션 상품과 옵션

변형 정의와 값을 변경하고 정렬합니다.

PATCH/api/v1/variant-options/{identity}

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/variant-options/example \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-update_variant_option_api_v1_variant_options__identity__patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"name":"Example"}'

응답

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

필수 권한

최소 요금제
STANDARD
키 권한
변형 수정catalog.variant_option:update